#ifndef CSSGrammarH
#define CSSGrammarH
/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison interface for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     TOKEN_EOF = 0,
     LOWEST_PREC = 258,
     UNIMPORTANT_TOK = 259,
     WHITESPACE = 260,
     SGML_CD = 261,
     INCLUDES = 262,
     DASHMATCH = 263,
     BEGINSWITH = 264,
     ENDSWITH = 265,
     CONTAINS = 266,
     STRING = 267,
     IDENT = 268,
     NTH = 269,
     HEX = 270,
     IDSEL = 271,
     IMPORT_SYM = 272,
     PAGE_SYM = 273,
     MEDIA_SYM = 274,
     FONT_FACE_SYM = 275,
     CHARSET_SYM = 276,
     NAMESPACE_SYM = 277,
     VARFUNCTION = 278,
     WEBKIT_RULE_SYM = 279,
     WEBKIT_DECLS_SYM = 280,
     WEBKIT_KEYFRAME_RULE_SYM = 281,
     WEBKIT_KEYFRAMES_SYM = 282,
     WEBKIT_VALUE_SYM = 283,
     WEBKIT_MEDIAQUERY_SYM = 284,
     WEBKIT_SELECTOR_SYM = 285,
     WEBKIT_REGION_RULE_SYM = 286,
     TOPLEFTCORNER_SYM = 287,
     TOPLEFT_SYM = 288,
     TOPCENTER_SYM = 289,
     TOPRIGHT_SYM = 290,
     TOPRIGHTCORNER_SYM = 291,
     BOTTOMLEFTCORNER_SYM = 292,
     BOTTOMLEFT_SYM = 293,
     BOTTOMCENTER_SYM = 294,
     BOTTOMRIGHT_SYM = 295,
     BOTTOMRIGHTCORNER_SYM = 296,
     LEFTTOP_SYM = 297,
     LEFTMIDDLE_SYM = 298,
     LEFTBOTTOM_SYM = 299,
     RIGHTTOP_SYM = 300,
     RIGHTMIDDLE_SYM = 301,
     RIGHTBOTTOM_SYM = 302,
     ATKEYWORD = 303,
     IMPORTANT_SYM = 304,
     MEDIA_ONLY = 305,
     MEDIA_NOT = 306,
     MEDIA_AND = 307,
     REMS = 308,
     QEMS = 309,
     EMS = 310,
     EXS = 311,
     PXS = 312,
     CMS = 313,
     MMS = 314,
     INS = 315,
     PTS = 316,
     PCS = 317,
     DEGS = 318,
     RADS = 319,
     GRADS = 320,
     TURNS = 321,
     MSECS = 322,
     SECS = 323,
     HERTZ = 324,
     KHERTZ = 325,
     DIMEN = 326,
     INVALIDDIMEN = 327,
     PERCENTAGE = 328,
     FLOATTOKEN = 329,
     INTEGER = 330,
     VW = 331,
     VH = 332,
     VMIN = 333,
     DPPX = 334,
     DPI = 335,
     DPCM = 336,
     URI = 337,
     FUNCTION = 338,
     ANYFUNCTION = 339,
     NOTFUNCTION = 340,
     CALCFUNCTION = 341,
     MINFUNCTION = 342,
     MAXFUNCTION = 343,
     VAR_DEFINITION = 344,
     UNICODERANGE = 345
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 2068 of yacc.c  */
#line 64 "../css/CSSGrammar.y"

    bool boolean;
    char character;
    int integer;
    double number;
    CSSParserString string;

    StyleRuleBase* rule;
    Vector<RefPtr<StyleRuleBase> >* ruleList;
    CSSParserSelector* selector;
    Vector<OwnPtr<CSSParserSelector> >* selectorList;
    CSSSelector::MarginBoxType marginBox;
    CSSSelector::Relation relation;
    MediaQuerySet* mediaList;
    MediaQuery* mediaQuery;
    MediaQuery::Restrictor mediaQueryRestrictor;
    MediaQueryExp* mediaQueryExp;
    CSSParserValue value;
    CSSParserValueList* valueList;
    Vector<OwnPtr<MediaQueryExp> >* mediaQueryExpList;
    StyleKeyframe* keyframe;
    Vector<RefPtr<StyleKeyframe> >* keyframeRuleList;
    float val;
    CSSPropertyID id;



/* Line 2068 of yacc.c  */
#line 169 "../../../../../out/Release/gen/webkit/CSSGrammar.hpp"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif





#endif
